Skip to main content

Remove roles from a user

PUT 

/api/v1/UserRole/User/:userId/Remove

Removes the roles in the body from the user and returns the role numbers the user still holds. Removing the Administrator role, or the Reviewer role from a user who is a reviewer, also records an event.

Permission required: Admin role.

Values for roles: 0 = None, 50 = Administrator, 150 = Reviewer.

Caution: The change takes effect immediately and can remove administrator access from the user.

Request​

Responses​

The list of role numbers the user still holds.